<?php
// basic example from here: http://www.emanueleferonato.com/2008/07/22/sending-email-with-multiple-attachments-with-php/

// to, from, subject, and message = strings
// attachments = associative array with $filename => $filecontents
// headerarray = associative array with $headername => $value

function sendmail($to, $from, $subject, $message, $attachments, $headerarray) {
	// email fields: to, from, subject, and so on
	$headers = "";
	foreach ($headerarray as $key => $value) {
		$headers .= $key . ": " . $value . "\n";
	}
	
	// boundary
	$semi_rand = md5(time()); 
	$mime_boundary = "==Multipart_Boundary_x{$semi_rand}x"; 
	
	// headers for attachment 
	$headers .= "MIME-Version: 1.0\n" . "Content-Type: multipart/mixed;\n" . " boundary=\"{$mime_boundary}\""; 
	
	// multipart boundary 
	$message = "This is a multi-part message in MIME format.\n\n" . "--{$mime_boundary}\n" . "Content-Type: text/plain; charset=\"iso-8859-1\"\n" . "Content-Transfer-Encoding: 7bit\n\n" . $message . "\n\n"; 
	$message .= "--{$mime_boundary}\n";
	
	// preparing attachments
	foreach ($attachments as $filename => $filedata) {
		$data = base64_encode($filedata);
		$message .= "Content-Type: {\"application/octet-stream\"};\n" . " name=\"$filename\"\n" . 
		"Content-Disposition: attachment;\n" . " filename=\"$filename\"\n" . 
		"Content-Transfer-Encoding: base64\n\n" . $data . "\n\n";
		$message .= "--{$mime_boundary}\n";
	}
	
	// send
	return @mail($to, $subject, $message, $headers);
}
?>
